Subject: bug#57309: 29.0.50; Build error "trying to dump non fixed-up eln file"

From: Eli Zaretskii <[email-masked]>
Date: Sat, 20 Aug 2022 18:25:01 +0300

> Cc: [email-masked], Andrea Corallo <[email-masked]>
> From: Gerd Möllmann <[email-masked]>
> Date: Sat, 20 Aug 2022 16:32:33 +0200
> 
> (lldb) xdebug_print $176
> ...lots of output...
>  "/Users/gerd/emacs/master/native-lisp/29_0_50-2dce7c3a/preloaded/window-0d1b8b93-274db3e2.eln" #<native compilation unit: /Users/gerd/emacs/master/native-lisp/29_0_50-2dce7c3a/preloaded/window-0d1b8b93-274db3e2.eln ((native-comp-speed . 2) (native-comp-debug . 0) (gccjit 12 1 0))>
> ...
> 
> I'm not 100% sure, but I interpret that as meaning that the window.eln
> in question has already been loaded before, and the second attempt then
> fails.  Unless I misread the code of course, which is always possible.
> 
> But how that might happen escapes me ATM.

AFAICT, temacs didn't load window.eln, it loaded window.elc.  At least
that's what I see in the loadup output: it says "Loading windows...",
and doesn't say "(native compiled Lisp)".  Unless the message is
already mistaken, part of the problem.